Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet
Class DirMLet

    org.huihoo.jfox.xmlet.DirMLet

All Implemented Interfaces:
  java.lang.Runnable

public class DirMLet
implements java.lang.Runnable

A extention MLet, it can monitor the folder, when add/remove a xmlet config file, it will register/unregister the MBean auto

Author:
  Young Yang

Constructor Summary
`DirMLet()`
`DirMLet(java.lang.String name)`

Method Summary
`void` | `addPath(java.lang.String path)`
`protected void` | `doDestroy()`
`protected void` | `doInit()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`javax.management.ObjectName` | `getMLet()`
`javax.management.loading.MLetMBean` | `getMLetInstance()`
`java.lang.String[]` | `getPathes()` get loaded pathes
`long` | `getSleepTime()`
`void` | `run()`
`void` | `setMLet(javax.management.ObjectName mletObjectName)`
`void` | `setSleepTime(long milSec)` set the sleep time in millisecond

Constructor Detail

### DirMLet

    public DirMLet()

### DirMLet

    public DirMLet(java.lang.String name)

Method Detail

### getPathes

    public java.lang.String[] getPathes()

  get loaded pathes

### addPath

    public void addPath(java.lang.String path)

### setMLet

    public void setMLet(javax.management.ObjectName mletObjectName)

### getMLet

    public javax.management.ObjectName getMLet()

### getMLetInstance

    public javax.management.loading.MLetMBean getMLetInstance()

### setSleepTime

    public void setSleepTime(long milSec)

  set the sleep time in millisecond

### getSleepTime

    public long getSleepTime()

### doInit

    protected void doInit()
                   throws java.lang.Exception

### doStart

    protected void doStart()
                    throws java.lang.Exception

### doStop

    protected void doStop()
                   throws java.lang.Exception

### doDestroy

    protected void doDestroy()
                      throws java.lang.Exception

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD